import { EEasyFormActionType } from './enums';
export const setFieldValue = (formName, fieldName, value) => ({
    type: EEasyFormActionType.SetFieldValue,
    payload: { formName, fieldName, value },
});
export const clearFieldValue = (formName, fieldName) => ({
    type: EEasyFormActionType.ClearFieldValue,
    payload: { formName, fieldName },
});
export const setFieldErrors = (formName, fieldName, errors) => ({
    type: EEasyFormActionType.SetFieldErrors,
    payload: { formName, fieldName, errors },
});
export const clearFieldErrors = (formName, fieldName) => ({
    type: EEasyFormActionType.ClearFieldErrors,
    payload: { formName, fieldName },
});
export const setFieldStatus = (formName, fieldName, status) => ({
    type: EEasyFormActionType.SetFieldStatus,
    payload: { formName, fieldName, status },
});
export const initiateForm = (formName, initialValues) => ({
    type: EEasyFormActionType.InitiateForm,
    payload: { formName, initialValues },
});
export const setFormErrors = (formName, errors) => ({
    type: EEasyFormActionType.SetFormErrors,
    payload: { formName, errors },
});
export const dropForm = (formName) => ({
    type: EEasyFormActionType.DropForm,
    payload: { formName },
});
//# sourceMappingURL=action-creators.js.map