import { EEasyFormLogicActionType } from './middleware-enums';
export declare const changeValue: (formName: string, fieldName: string, value: any) => {
    readonly type: EEasyFormLogicActionType.ChangeValue;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
        readonly value: any;
    };
};
export declare const clearValue: (formName: string, fieldName: string) => {
    readonly type: EEasyFormLogicActionType.ClearValue;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
    };
};
export declare const changeValueAndValidate: (formName: string, fieldName: string, value: any) => {
    readonly type: EEasyFormLogicActionType.ChangeValueAndValidate;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
        readonly value: any;
    };
};
export declare const validateField: (formName: string, fieldName: string) => {
    readonly type: EEasyFormLogicActionType.ValidateField;
    readonly payload: {
        readonly formName: string;
        readonly fieldName: string;
    };
};
export declare const validateAll: (formName: string) => {
    readonly type: EEasyFormLogicActionType.ValidateAll;
    readonly payload: {
        readonly formName: string;
    };
};
