import { EEasyFormLogicActionType } from './middleware-enums';
export const changeValue = (formName, fieldName, value) => ({
    type: EEasyFormLogicActionType.ChangeValue,
    payload: { formName, fieldName, value },
});
export const clearValue = (formName, fieldName) => ({
    type: EEasyFormLogicActionType.ClearValue,
    payload: { formName, fieldName },
});
export const changeValueAndValidate = (formName, fieldName, value) => ({
    type: EEasyFormLogicActionType.ChangeValueAndValidate,
    payload: { formName, fieldName, value },
});
export const validateField = (formName, fieldName) => ({
    type: EEasyFormLogicActionType.ValidateField,
    payload: { formName, fieldName },
});
export const validateAll = (formName) => ({
    type: EEasyFormLogicActionType.ValidateAll,
    payload: { formName },
});
//# sourceMappingURL=middleware-actions.js.map