import { TFormValidator, TValidator } from './types';
export declare class RootValidator {
    private static instances;
    private fieldsValidators;
    private formValidator;
    constructor(formName: string);
    applyFieldValidators(fieldName: string, validators: TValidator[]): void;
    applyFormValidator(formValidator: TFormValidator): void;
    get validators(): [TFormValidator | undefined, {
        [k: string]: TValidator[];
    }];
}
