export class RootValidator {
    constructor(formName) {
        this.fieldsValidators = {};
        if (!RootValidator.instances[formName]) {
            RootValidator.instances[formName] = this;
        }
        return RootValidator.instances[formName];
    }
    applyFieldValidators(fieldName, validators) {
        this.fieldsValidators[fieldName] = validators;
    }
    applyFormValidator(formValidator) {
        this.formValidator = formValidator;
    }
    get validators() {
        return [this.formValidator, this.fieldsValidators];
    }
}
RootValidator.instances = {};
//# sourceMappingURL=root-validator.js.map